Skip to content

API specification for Glomo (1.0.0)

The Glomo API follows REST architecture, utilizing resource-oriented URLs for clarity. It handles form-encoded request bodies, delivers responses in JSON format, and operates with standard HTTP methods, authentication, and response codes.

You can download the complete API collection by using the download options on the right.

Download OpenAPI description
Languages
Servers
Production server
https://api.glomopay.com/api/v1

This resource represents your Glomo balance. You can retrieve it to see the current balance on your Glomo account in all currencies enabled for your account.

Schemas
Operations

Balance Conversion resource represents the details of the balance conversion. The balance conversion is the conversion of the balance from one supported currency to another supported currency.

Schemas
Operations

This resource represents the order details. The order is the request to receive payment from your customer.

Schemas
Operations

This resource represents a customer of your business. The customer can be an individual or a business from whom you will receive payments.

Schemas
Operations

This resource represents a payment attempt made by your customer. The payment can either be successfully completed or failed, depending on various factors.

Schemas
Operations

This resource represents a refund transaction from your Glomo account to your customer. You can retrieve it to see the details of the refund transaction.

Schemas
Operations

Request

Security
JWT
Path
idstringrequired

The unique identifier for the payout.

Example: pout_E602dMzgjpDC
curl -i -X GET \
  https://api.glomopay.com/api/v1/refunds/pout_E602dMzgjpDC \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Refund found

Bodyapplication/json
idstring(string)read-only

The unique identifier for the refund.

Example: "refund_6776d57dnbTWj"
customer_idstring

The unique identifier of customer linked to refund.

Example: "cust_E602dMzgjpDC"
payment_idstring

The unique identifier of payment linked to refund.

Example: "payt_E602dMzgjpDC"
reasonstring

The reason for the refund.

Example: "Requested by Customer"
feesobject

The fees charged for the refund.

balance_usedobject

The balance deducted to process the refund.

documentsArray of objects
statusstringread-only

The status of the refund.

Enum"success""failed""action_required""pending""under_review"
Example: "success"
currencystring(iso-4217)

The currency code in ISO 4217 format. For example, USD.

Example: "USD"
amountnumber>= 1

The amount you want to receive in cents. For example, 1000 cents is $10.00. The currency is determined by the currency field. Cents is a general term for the smallest unit of currency in any currency. It does not necessarily mean USD cents.

Example: 1000
utrstringread-only

The Unique Transaction Reference (UTR) number associated with the refund.

Example: "UTR123456789"
partial_refundbooleanread-only

Indicates whether the refund is a partial refund.

Example: false
created_atstring(timestamp)read-only

Timestamp representing when the refund was created

Example: "2021-06-01T12:00:00Z"
updated_atstring(timestamp)read-only

Timestamp representing when the refund was last updated

Example: "2021-06-01T12:00:00Z"
Response
application/json
{ "id": "refund_6776d57dnbTWj", "customer_id": "cust_E602dMzgjpDC", "payment_id": "payt_E602dMzgjpDC", "reason": "Requested by Customer", "fees": { "fx_fees": { … }, "txn_fees": { … } }, "balance_used": { "currency": "USD", "amount": 1000 }, "documents": [ { … } ], "status": "success", "currency": "USD", "amount": 1000, "utr": "UTR123456789", "partial_refund": false, "created_at": "2021-06-01T12:00:00Z", "updated_at": "2021-06-01T12:00:00Z" }

Request

Security
JWT
Path
idstringrequired

The unique identifier for the refund.

Example: refu_E602dMzgjpDC
Bodyapplication/jsonrequired
documentsArray of objects(AttachedDocument)required
documents[].​idstringrequired

The unique identifier for the Document.

Example: "doc_nYUqLpuYQ0M8"
documents[].​rfi_doc_idstring or nullrequired

The unique identifier for the RFI Document. This will be null if the document is not an RFI Document.

Example: "rfidoc_nYUqLpuYQ0M8"
curl -i -X PATCH \
  https://api.glomopay.com/api/v1/refunds/refu_E602dMzgjpDC/update_rfi \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "documents": [
      {
        "id": "doc_nYUqLpuYQ0M8",
        "rfi_doc_id": "rfidoc_nYUqLpuYQ0M8"
      }
    ]
  }'

Responses

Document attached successfully

Bodyapplication/json
idstring(string)read-only

The unique identifier for the refund.

Example: "refund_6776d57dnbTWj"
customer_idstring

The unique identifier of customer linked to refund.

Example: "cust_E602dMzgjpDC"
payment_idstring

The unique identifier of payment linked to refund.

Example: "payt_E602dMzgjpDC"
reasonstring

The reason for the refund.

Example: "Requested by Customer"
feesobject

The fees charged for the refund.

balance_usedobject

The balance deducted to process the refund.

documentsArray of objects
statusstringread-only

The status of the refund.

Enum"success""failed""action_required""pending""under_review"
Example: "success"
currencystring(iso-4217)

The currency code in ISO 4217 format. For example, USD.

Example: "USD"
amountnumber>= 1

The amount you want to receive in cents. For example, 1000 cents is $10.00. The currency is determined by the currency field. Cents is a general term for the smallest unit of currency in any currency. It does not necessarily mean USD cents.

Example: 1000
utrstringread-only

The Unique Transaction Reference (UTR) number associated with the refund.

Example: "UTR123456789"
partial_refundbooleanread-only

Indicates whether the refund is a partial refund.

Example: false
created_atstring(timestamp)read-only

Timestamp representing when the refund was created

Example: "2021-06-01T12:00:00Z"
updated_atstring(timestamp)read-only

Timestamp representing when the refund was last updated

Example: "2021-06-01T12:00:00Z"
Response
application/json
{ "id": "refund_6776d57dnbTWj", "customer_id": "cust_E602dMzgjpDC", "payment_id": "payt_E602dMzgjpDC", "reason": "Requested by Customer", "fees": { "fx_fees": { … }, "txn_fees": { … } }, "balance_used": { "currency": "USD", "amount": 1000 }, "documents": [ { … } ], "status": "success", "currency": "USD", "amount": 1000, "utr": "UTR123456789", "partial_refund": false, "created_at": "2021-06-01T12:00:00Z", "updated_at": "2021-06-01T12:00:00Z" }

Request

Mark an in_progress refund as successful

Security
JWT
Path
idstringrequired

The ID of the refund

Example: refund_E602dMzgjpDC
Bodyapplication/jsonrequired
statusstring

The new status of the refund. You can only mark a refund as success

Example: "success"
curl -i -X PATCH \
  https://api.glomopay.com/api/v1/refunds/refund_E602dMzgjpDC/mock_update_status \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "status": "success"
  }'

Responses

Refund updated successfully

Bodyapplication/json
idstring(string)read-only

The unique identifier for the refund.

Example: "refund_6776d57dnbTWj"
customer_idstring

The unique identifier of customer linked to refund.

Example: "cust_E602dMzgjpDC"
payment_idstring

The unique identifier of payment linked to refund.

Example: "payt_E602dMzgjpDC"
reasonstring

The reason for the refund.

Example: "Requested by Customer"
feesobject

The fees charged for the refund.

balance_usedobject

The balance deducted to process the refund.

documentsArray of objects
statusstringread-only

The status of the refund.

Enum"success""failed""action_required""pending""under_review"
Example: "success"
currencystring(iso-4217)

The currency code in ISO 4217 format. For example, USD.

Example: "USD"
amountnumber>= 1

The amount you want to receive in cents. For example, 1000 cents is $10.00. The currency is determined by the currency field. Cents is a general term for the smallest unit of currency in any currency. It does not necessarily mean USD cents.

Example: 1000
utrstringread-only

The Unique Transaction Reference (UTR) number associated with the refund.

Example: "UTR123456789"
partial_refundbooleanread-only

Indicates whether the refund is a partial refund.

Example: false
created_atstring(timestamp)read-only

Timestamp representing when the refund was created

Example: "2021-06-01T12:00:00Z"
updated_atstring(timestamp)read-only

Timestamp representing when the refund was last updated

Example: "2021-06-01T12:00:00Z"
Response
application/json
{ "id": "refund_6776d57dnbTWj", "customer_id": "cust_E602dMzgjpDC", "payment_id": "payt_E602dMzgjpDC", "reason": "Requested by Customer", "fees": { "fx_fees": { … }, "txn_fees": { … } }, "balance_used": { "currency": "USD", "amount": 1000 }, "documents": [ { … } ], "status": "success", "currency": "USD", "amount": 1000, "utr": "UTR123456789", "partial_refund": false, "created_at": "2021-06-01T12:00:00Z", "updated_at": "2021-06-01T12:00:00Z" }

This resource represents the details of the referral fees to be configured at the order or payment link level. Only platform businesses are allowed to create prices. The first Price created is set as default for a business.

Schemas
Operations

This resource represents a recurring billing agreement for a customer. Subscriptions allow businesses to automatically charge customers on a regular schedule according to a defined billing plan.

Schemas
Operations

This resource represents the disbursement transactions from your Glomo account to your beneficiaries.

Schemas
Operations

This resource represents a payee of a payout initiated by your business. The beneficiary can be an individual or a business to whom you will send funds.

Schemas
Operations

This resource represents a payee of a payout initiated by your business. Beneficiary V2 introduces a structured nested format for beneficiary, address, and bank account details, and supports both bank account and UPI payment methods.

Schemas
Operations

Bank Account Validation resource represents the validation details of a bank account.

Schemas
Operations

Document resource represents the documents details uploaded. This document is used in payin, payout, etc.

Schemas
Operations

This resource represents internal fund movements between merchant accounts within the platform–partner model. Internal transfers enable seamless fund movement between merchants who operate under the same platform account. Internal transfers are restricted to accounts linked under the same platform hierarchy. The following transfer directions are supported:

Transfer TypeDescription
P → CFrom a Platform (P) account to one of its Child (C) merchant accounts.
C → PFrom a Child (C) merchant account back to its Platform (P) account.
C → C (same P)Between Child (C) accounts under the same Platform (P).
Schemas
Operations

This resource represents the settlement details. The settlement is the process of transferring funds from your Glomo account to your bank account.

Schemas
Operations

This resource represents virtual account details. A virtual account is a unique account number provisioned for a customer, allowing payments to be received and transactions to be tracked against that customer.

Schemas
Operations

This resource provides platform functionality that enables platforms to onboard merchants onto Glomo, with each merchant having their own dedicated Virtual Accounts (VA).

Schemas
Operations